import * as React from 'react';
import { Grid, Input, Form, Checkbox, Divider, Button } from 'semantic-ui-react';

export class ListContainer extends React.Component<any, any> {

  private data: any = null;

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  handleSearch(e: any, data: any) {
    this.props.onSearch(data.value.toLowerCase());
  }
  
  render() {
    return (
      <Grid>
        <Grid.Column width={4}>
          <Input icon='search' placeholder='Search...' onChange={this.handleSearch.bind(this)} fluid />
          {/*filter  */}
          <Divider />
          {this.props.filter}
        </Grid.Column>
        <Grid.Column stretched width={12} >
          {this.props.contents}
        </Grid.Column>
      </Grid>
    );
  }
}